Hailuo First-Last Frame to Video
curl --request POST \
--url https://api.powertokens.ai/v1/videos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "MiniMax-Hailuo-02",
"images": [
"https://example.com/assets/frame-start.png",
"https://example.com/assets/frame-end.png"
],
"prompt": "The child grows up naturally.",
"seconds": "6",
"size": "1080P"
}
'import requests
url = "https://api.powertokens.ai/v1/videos"
payload = {
"model": "MiniMax-Hailuo-02",
"images": ["https://example.com/assets/frame-start.png", "https://example.com/assets/frame-end.png"],
"prompt": "The child grows up naturally.",
"seconds": "6",
"size": "1080P"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'MiniMax-Hailuo-02',
images: [
'https://example.com/assets/frame-start.png',
'https://example.com/assets/frame-end.png'
],
prompt: 'The child grows up naturally.',
seconds: '6',
size: '1080P'
})
};
fetch('https://api.powertokens.ai/v1/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"task_id": "<string>",
"object": "video",
"model": "<string>",
"status": "queued",
"progress": 0,
"created_at": 123
}{
"code": "bad_request_body",
"message": "Malformed request body or invalid field value",
"data": null
}{
"code": "access_denied",
"message": "Invalid token",
"data": null
}{
"code": "read_request_body_failed",
"message": "Request body too large, please reduce the input and retry",
"data": null
}{
"code": "insufficient_user_quota",
"message": "Insufficient account quota, please try again later",
"data": null
}{
"code": "gen_relay_info_failed",
"message": "Internal processing failed, please try again later",
"data": null
}{
"code": "bad_response_status_code",
"message": "The upstream provider returned an invalid response",
"data": null
}{
"code": "get_channel_failed",
"message": "No available channel for the current model, please try again later",
"data": null
}MiniMax
MiniMax-Hailuo-02 First-Last Frame to Video
Applies to MiniMax-Hailuo-02 First-Last Frame to Video model. After submitting a task, query its status via GET /v1/videos/{task_id}.
Public fields: model, images, prompt, seconds, size. The images array must contain exactly two images in the order [first frame, last frame].
POST
/
v1
/
videos
Hailuo First-Last Frame to Video
Authorizations
Pass Authorization: Bearer <token> in the request header.
Body
application/json
Model name for this capability.
Available options:
MiniMax-Hailuo-02 First and last frame image array, in fixed order [first frame, last frame].
Required array length:
2 elementsOptional video prompt.
Maximum string length:
2000Target video duration in seconds. (1080P only supports 6 seconds.)
Available options:
6, 10 Target output resolution. First-Last Frame to Video model currently supports 768P and 1080P.
Available options:
768P, 1080P ⌘I